# frozen_string_literal: true

require "simplecov"
SimpleCov.start

require "active_support/testing/time_helpers"
require "spec_helper"
require "cornucopia/rspec_hooks"
require "resque-stages"
require "resque-compressible"
require "resque-retry"
require "faker"
require "rack/test"
require "resque/server"
require "resque/stages_server"
require "resque-scheduler"

Dir[File.expand_path("spec/support/**/*.rb"), File.dirname(__FILE__)].sort.each do |f|
  require f unless File.directory?(f)
end

FileUtils.mkdir_p(File.expand_path("../log", File.dirname(__FILE__)))

redis_logger           = Logger.new(File.expand_path("../log/redis.log", File.dirname(__FILE__)))
redis_logger.level     = Logger::DEBUG
redis_logger.formatter = Logger::Formatter.new

redis_options = YAML.load_file(File.expand_path("support/config/redis-auth.yml", File.dirname(__FILE__)))
Redis.current = Redis.new(redis_options.merge(logger: redis_logger))

Resque.redis  = Redis.new(redis_options)
Resque.inline = true

RSpec.configure do |config|
  config.include ActiveSupport::Testing::TimeHelpers
end

# Cornucopia::Util::Configuration.context_seed = 1
# Cornucopia::Util::Configuration.seed         = 1
# Cornucopia::Util::Configuration.order_seed   = 1
